GET
/
stake
/
governance
/
proposals
Get Proposals
curl --request GET \
  --url https://prv.stake.biya.io/stake/governance/proposals
{
  "proposals": [
    {
      "id": "<string>",
      "messages": [
        {
          "type_url": "<string>",
          "value": "<string>"
        }
      ],
      "status": 123,
      "final_tally_result": "<string>",
      "submit_time": "<string>",
      "deposit_end_time": "<string>",
      "total_deposit": [
        {
          "denom": "<string>",
          "amount": "<string>"
        }
      ],
      "voting_start_time": "<string>",
      "voting_end_time": "<string>",
      "metadata": "<string>",
      "title": "<string>",
      "summary": "<string>",
      "proposer": "<string>",
      "tally_result": {
        "yes_count": "<string>",
        "abstain_count": "<string>",
        "no_count": "<string>",
        "no_with_veto_count": "<string>"
      }
    }
  ],
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total": "<string>",
    "total_pages": 123,
    "has_prev": true,
    "has_next": true
  }
}

Query Parameters

status
integer<enum>

Optional: filter by proposal status

pagination.page
integer<int32>

页码,从1开始,默认1(基于页数的分页)

pagination.page_size
integer<int32>

每页大小,默认20,最大100

pagination.cursor
string

游标(基于游标的分页,用于大数据集优化,优先级高于 page) 对于区块:使用区块高度(height) 对于交易:使用交易号(tx_number)或区块高度+交易号的组合

Response

200 - application/json

OK

GetProposalsResponse contains a list of governance proposals

proposals
object[]
pagination
object

分页响应信息